Bug 83029 - buildinstall fails after update to kernel 2.4.18-19.7.x
buildinstall fails after update to kernel 2.4.18-19.7.x
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-29 13:07 EST by Patrick Monnerat
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-29 16:37:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2003-01-29 13:07:00 EST
Description of problem:
When rebuiling install disk images with recommended RH patches (in particular
kernel-BOOT-2.4.18-19.7.x), the "cdboot.img" contents is too large to fit:
buildinstall fails with "No space left on device".

Version-Release number of selected component (if applicable): anaconda-runtime-7.3.7


How reproducible:
Always

Steps to Reproduce:
1._ build an installation root (in ./i386).
2._ replace packages in the i386/RedHat/RPMS and i386/SRPMS directories by
RedHat 7.3 updated packages (up to Jan 13, 2003).
3.$ export PYTHONDIR=/usr/lib/anaconda
4.$ export PATH="$PATH:/usr/lib/anaconda-runtime"
buildinstall --pkgorder pkgorder.txt --comp dist-7.3 --version 7.3 i386

Actual Results:  This fails while building "cdroot.img" with error "No space
left on device" (files from update are too large for the 2880k disk image).

Expected Results:  Successful completion of "buildinstall".
Comment 1 Jeremy Katz 2003-01-29 16:37:50 EST
Unfortunately, we're not psychic and so can't take into account future growths
of the kernel.  Rebuilds of the installation tree like this isn't supported --
to get it to work, you'll have to edit mk-images.i386 in anaconda to change the
modules which get sucked in for various cases.

Note You need to log in before you can comment on or make changes to this bug.